import Vue from 'vue';
import VueRouter, { RouteConfig } from 'vue-router';
import AttemptList from "../components/Simulator.vue";
import HelloWorld from "../components/HelloWorld.vue";

Vue.use(VueRouter);

const routes: Array<RouteConfig> = [
    {
        path: '/',
        name: 'Home',
        component: HelloWorld
    },
    {
        path: '/attempts',
        name: 'Attempt List',
        component: AttemptList
    }
];

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes
});

export default router;